Skip to main content
To execute actions in third-party systems, either extend an existing custom integration app, or create a new one.

External Actions Domain

Check App configuration. You can extend it with actions.
NameTypeDescriptionExample
namestringName”MyApp”
websitestringWebsitehttp://myawesomeapp.com
versionstringVersion”1.0.0”
actionsArrayActions[]
responsibleForObjectCustom app responsible for{...(any other), "automations": true}

Action

Action model has the following structure:
NameTypeDescriptionRequiredExample
actionstringIdentity of actiontrue”Give the id for action”
namestringName of actiontrue”Give the name for action”
descriptionstringDescription of actionfalse”Give the description for action”
argsArrayAction argumentstrue[]

Action Argument

Action argument model has the following structure:
NameTypeDescriptionRequiredExample
idstringIdentity of argtrue”Give the id for argument”
namestringName of argtrue”Give the name for argument”
descriptionstringDescription of argfalse”Give the description for argument”
typestringType of argtrueCurrently support text and textarea
textTemplateSupportedbooleanWhether templating is supportedfalsetrue or false

POST /api/v1/automations/action/execute

Executes specific action with specified parameters. In case of success response just return empty object with success status code. Request body sample:
{
  "action": {
    "action": "create-pull-request",
    "args": {
      "repo": "me/my-repo",
      "name": "new-branch-name",
      "ref": "main"
    }
  },
  "account": {
    "username": "test_user",
    "password": "test$user!"
  }
}
Success response:
{}
Failure response:
{
  "message": "Pull request with specified name exists."
}